[Story] Statement should show a thumbnail for image/video/audio properties
Closed, ResolvedPublic

Description

Statement should show a thumbnail for image/video/audio properties, at least for Commons files.

Example URL: https://www.wikidata.org/wiki/Q61249

Details

Reference
bz44727
bzimport raised the priority of this task from to High.
bzimport set Reference to bz44727.
bzimport added a subscriber: Unknown Object (MLST).
Raymond created this task.Feb 6 2013, 9:31 PM
Micru added a comment.Apr 27 2014, 4:27 PM

Consider also using the Media Viewer when clicking on said thumbnails:
https://www.mediawiki.org/wiki/Multimedia/Media_Viewer

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 7:22 AM
thiemowmde renamed this task from Statement should show a thumbnail for image/video/audio properties to [Story] Statement should show a thumbnail for image/video/audio properties.Aug 13 2015, 2:49 PM
thiemowmde updated the task description. (Show Details)
thiemowmde lowered the priority of this task from High to Low.
thiemowmde set Security to None.
thiemowmde removed subscribers: Wikidata-bugs, Denny.
Lydia_Pintscher raised the priority of this task from Low to Normal.Aug 13 2015, 7:11 PM
hoo added a subscriber: hoo.Apr 13 2018, 10:54 AM

Change 426001 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/core@master] Make ImageGallery more flexible for use in Wikibase

https://gerrit.wikimedia.org/r/426001

Change 426001 merged by jenkins-bot:
[mediawiki/core@master] Make ImageGallery more flexible for use in Wikibase

https://gerrit.wikimedia.org/r/426001

Change 426052 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Show commons thumbnails in entity views

https://gerrit.wikimedia.org/r/426052

hoo moved this task from Tasks to Needs Review on the Wikidata-Ministry-Of-Magic board.

Change 426038 had a related patch set uploaded (by Hoo man; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Math@master] Fix MathFormatter failing on new SnakFormatter format MIME types

https://gerrit.wikimedia.org/r/426038

Change 426038 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Fix MathFormatter failing on new SnakFormatter format MIME types

https://gerrit.wikimedia.org/r/426038

Change 426052 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Show commons thumbnails in entity views

https://gerrit.wikimedia.org/r/426052

hoo claimed this task.
hoo removed a project: Patch-For-Review.

This will (if nothing goes wrong) go live next Wednesday (April 18) night.

hoo added a comment.EditedApr 14 2018, 9:35 AM

Please note: In the first month after this is deployed entity pages may need to be purged for the thumbnails to show up.